! Metodos Numericos y Simulaciones en Astrofisica
! FCEFN - UNSJ, 2013
!
! el archivo de inicio es el archivo de salida de NCUERPOS0
! el programo obtiene la posicion y velocidad de una particula 
! respecto de otra tomada como referencia
!
program extraenc
implicit none
  integer, parameter ::p=selected_real_kind(16,200)

  integer :: kk0,kk1,flg

  integer :: ncuer,ii,cod
  real(p) :: tt
  real(p),dimension(3) :: pos,vel,pos0,vel0,pos1,vel1
  
  write(*,*)'Particula de referencia (int):'
  read(*,*)kk0
  write(*,*)'Particula a extraer (int):'
  read(*,*)kk1

  open(7,file='extrae-nc.in')
  open(8,file='extrae-nc.out')

  do
    read(7,*,iostat=flg)tt,ncuer
    if(flg /=0)exit
    do ii=1,ncuer
      read(7,*)cod,pos,vel
      if(cod == kk0)then
        pos0=pos
        vel0=vel
      endif
      if(cod == kk1)then
        pos1=pos
        vel1=vel
      endif
    enddo
    write(8,*)tt,(pos1-pos0),(vel1-vel0)
  enddo
  close(7)
  close(8)
end program extraenc
